## org.exist.dom
Class TextImpl

    java.lang.Object
      org.exist.dom.NodeImpl
          org.exist.dom.StoredNode
              org.exist.dom.CharacterDataImpl
                  org.exist.dom.TextImpl

All Implemented Interfaces:
  org.w3c.dom.CharacterData, org.w3c.dom.Node, QNameable, org.w3c.dom.Text, Visitable

public class TextImpl
extends CharacterDataImpl
implements org.w3c.dom.Text

TextImpl.java

Author:
  wolf

Field Summary

Fields inherited from class org.exist.dom.StoredNode
`UNKNOWN_NODE_IMPL_ADDRESS`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`TextImpl()`
`TextImpl(NodeId nodeId, java.lang.String data)`
`TextImpl(java.lang.String data)`

Method Summary
`void` `appendData(char[] data, int start, int howmany)`
`void` `appendData(java.lang.String arg)`
`short` `compareDocumentPosition(org.w3c.dom.Node other)` ? @see org.w3c.dom.Node#compareDocumentPosition(org.w3c.dom.Node)
`void` `deleteData(int offset, int count)`
`static StoredNode` `deserialize(byte[] data, int start, int len, DocumentImpl doc, boolean pooled)` Read a node from the specified byte array.
`java.lang.String` `getBaseURI()` ? @see org.w3c.dom.Node#getBaseURI()
`int` `getChildCount()`
`java.lang.Object` `getFeature(java.lang.String feature, java.lang.String version)` ? @see org.w3c.dom.Node#getFeature(java.lang.String, java.lang.String)
`org.w3c.dom.Node` `getFirstChild()`
`int` `getLength()`
`java.lang.String` `getNodeValue()`
`java.lang.String` `getTextContent()` ? @see org.w3c.dom.Node#getTextContent()
`java.lang.Object` `getUserData(java.lang.String key)` ? @see org.w3c.dom.Node#getUserData(java.lang.String)
`java.lang.String` `getWholeText()` ? @see org.w3c.dom.Text#getWholeText()
`boolean` `hasChildNodes()`
`void` `insertData(int offset, java.lang.String arg)`
`boolean` `isDefaultNamespace(java.lang.String namespaceURI)` ? @see org.w3c.dom.Node#isDefaultNamespace(java.lang.String)
`boolean` `isElementContentWhitespace()` ? @see org.w3c.dom.Text#isElementContentWhitespace()
`boolean` `isEqualNode(org.w3c.dom.Node arg)` ? @see org.w3c.dom.Node#isEqualNode(org.w3c.dom.Node)
`boolean` `isSameNode(org.w3c.dom.Node other)` ? @see org.w3c.dom.Node#isSameNode(org.w3c.dom.Node)
`java.lang.String` `lookupNamespaceURI(java.lang.String prefix)` ? @see org.w3c.dom.Node#lookupNamespaceURI(java.lang.String)
`java.lang.String` `lookupPrefix(java.lang.String namespaceURI)` ? @see org.w3c.dom.Node#lookupPrefix(java.lang.String)
`void` `replaceData(int offset, int count, java.lang.String arg)`
`org.w3c.dom.Text` `replaceWholeText(java.lang.String content)` ? @see org.w3c.dom.Text#replaceWholeText(java.lang.String)
`byte[]` `serialize()`
`void` `setNodeValue(java.lang.String value)` Set the node value.
`void` `setTextContent(java.lang.String textContent)` ? @see org.w3c.dom.Node#setTextContent(java.lang.String)
`java.lang.Object` `setUserData(java.lang.String key, java.lang.Object data, org.w3c.dom.UserDataHandler handler)` ? @see org.w3c.dom.Node#setUserData(java.lang.String, java.lang.Object, org.w3c.dom.UserDataHandler)
`org.w3c.dom.Text` `splitText(int offset)`
`java.lang.String` `substringData(int offset, int count)`
`java.lang.String` `toString()`
`java.lang.String` `toString(boolean top)`

Methods inherited from class org.exist.dom.CharacterDataImpl
`clear, getData, getLowerCaseData, getXMLString, release, setData, setData, setData`

Methods inherited from class org.exist.dom.StoredNode
`accept, accept, deserialize, equals, getBroker, getDocId, getInternalAddress, getNextSibling, getNodeId, getNodeType, getOwnerDocument, getParentNode, getPath, getPreviousSibling, getQName, setInternalAddress, setNodeId, setOwnerDocument`

Methods inherited from class org.exist.dom.NodeImpl
`appendChild, appendChildren, cloneNode, getAttributes, getAttributesCount, getChildNodes, getLastChild, getLocalName, getNamespaceURI, getNodeName, getPrefix, hasAttributes, insertAfter, insertAfter, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setAttributes, setNodeName, setPrefix, supports, updateChild, updateChild`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`getData, setData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, insertBefore, isSupported, normalize, removeChild, replaceChild, setPrefix`

Constructor Detail

### TextImpl

    public TextImpl()

### TextImpl

    public TextImpl(java.lang.String data)

### TextImpl

    public TextImpl(NodeId nodeId,
                    java.lang.String data)

Method Detail

### deserialize

    public static StoredNode deserialize(byte[] data,
                                         int start,
                                         int len,
                                         DocumentImpl doc,
                                         boolean pooled)

  Description copied from class: `StoredNode`
  Read a node from the specified byte array. <<<<<<< .working This checks the node type and calls the `StoredNode.deserialize(byte[], int, int, DocumentImpl, boolean)` ======= This checks the node type and calls the deserialize(byte[], int, int,boolean) >>>>>>> .merge-right.r4159 method of the corresponding node class. The node will be allocated in the pool and should be released once it is no longer needed.

### appendData

    public void appendData(java.lang.String arg)
                    throws org.w3c.dom.DOMException

  Specified by:
    `appendData` in interface `org.w3c.dom.CharacterData`
  Overrides:
    `appendData` in class `CharacterDataImpl`
  Throws:
    `org.w3c.dom.DOMException`

### appendData

    public void appendData(char[] data,
                           int start,
                           int howmany)
                    throws org.w3c.dom.DOMException

  Overrides:
    `appendData` in class `CharacterDataImpl`
  Throws:
    `org.w3c.dom.DOMException`

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws org.w3c.dom.DOMException

  Specified by:
    `deleteData` in interface `org.w3c.dom.CharacterData`
  Overrides:
    `deleteData` in class `CharacterDataImpl`
  Throws:
    `org.w3c.dom.DOMException`

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.w3c.dom.CharacterData`
  Overrides:
    `getLength` in class `CharacterDataImpl`

### getNodeValue

    public java.lang.String getNodeValue()

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `CharacterDataImpl`

### insertData

    public void insertData(int offset,
                           java.lang.String arg)
                    throws org.w3c.dom.DOMException

  Specified by:
    `insertData` in interface `org.w3c.dom.CharacterData`
  Overrides:
    `insertData` in class `CharacterDataImpl`
  Throws:
    `org.w3c.dom.DOMException`

### replaceData

    public void replaceData(int offset,
                            int count,
                            java.lang.String arg)
                     throws org.w3c.dom.DOMException

  Specified by:
    `replaceData` in interface `org.w3c.dom.CharacterData`
  Overrides:
    `replaceData` in class `CharacterDataImpl`
  Throws:
    `org.w3c.dom.DOMException`

### serialize

    public byte[] serialize()

  Overrides:
    `serialize` in class `StoredNode`

### setNodeValue

    public void setNodeValue(java.lang.String value)
                      throws org.w3c.dom.DOMException

  Description copied from class: `NodeImpl`
  Set the node value.

  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `setNodeValue` in class `NodeImpl`
  Parameters:
    `value` - The new nodeValue value
  Throws:
    `org.w3c.dom.DOMException` - Description of the Exception

### splitText

    public org.w3c.dom.Text splitText(int offset)
                               throws org.w3c.dom.DOMException

  Specified by:
    `splitText` in interface `org.w3c.dom.Text`
  Throws:
    `org.w3c.dom.DOMException`

### substringData

    public java.lang.String substringData(int offset,
                                          int count)
                                   throws org.w3c.dom.DOMException

  Specified by:
    `substringData` in interface `org.w3c.dom.CharacterData`
  Overrides:
    `substringData` in class `CharacterDataImpl`
  Throws:
    `org.w3c.dom.DOMException`

### toString

    public java.lang.String toString(boolean top)

  Overrides:
    `toString` in class `StoredNode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `CharacterDataImpl`

### getChildCount

    public int getChildCount()

  Overrides:
    `getChildCount` in class `NodeImpl`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasChildNodes` in class `NodeImpl`
  See Also:
    `Node.hasChildNodes()`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getFirstChild` in class `NodeImpl`
  See Also:
    `Node.getFirstChild()`

### isElementContentWhitespace

    public boolean isElementContentWhitespace()

  ? @see org.w3c.dom.Text#isElementContentWhitespace()

### getWholeText

    public java.lang.String getWholeText()

  ? @see org.w3c.dom.Text#getWholeText()

### replaceWholeText

    public org.w3c.dom.Text replaceWholeText(java.lang.String content)
                                      throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Text#replaceWholeText(java.lang.String)

  Throws:
    `org.w3c.dom.DOMException`

### getBaseURI

    public java.lang.String getBaseURI()

  ? @see org.w3c.dom.Node#getBaseURI()

  Overrides:
    `getBaseURI` in class `NodeImpl`

### compareDocumentPosition

    public short compareDocumentPosition(org.w3c.dom.Node other)
                                  throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Node#compareDocumentPosition(org.w3c.dom.Node)

  Overrides:
    `compareDocumentPosition` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### getTextContent

    public java.lang.String getTextContent()
                                    throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Node#getTextContent()

  Overrides:
    `getTextContent` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### setTextContent

    public void setTextContent(java.lang.String textContent)
                        throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Node#setTextContent(java.lang.String)

  Overrides:
    `setTextContent` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### isSameNode

    public boolean isSameNode(org.w3c.dom.Node other)

  ? @see org.w3c.dom.Node#isSameNode(org.w3c.dom.Node)

  Overrides:
    `isSameNode` in class `NodeImpl`

### lookupPrefix

    public java.lang.String lookupPrefix(java.lang.String namespaceURI)

  ? @see org.w3c.dom.Node#lookupPrefix(java.lang.String)

  Overrides:
    `lookupPrefix` in class `NodeImpl`

### isDefaultNamespace

    public boolean isDefaultNamespace(java.lang.String namespaceURI)

  ? @see org.w3c.dom.Node#isDefaultNamespace(java.lang.String)

  Overrides:
    `isDefaultNamespace` in class `NodeImpl`

### lookupNamespaceURI

    public java.lang.String lookupNamespaceURI(java.lang.String prefix)

  ? @see org.w3c.dom.Node#lookupNamespaceURI(java.lang.String)

  Overrides:
    `lookupNamespaceURI` in class `NodeImpl`

### isEqualNode

    public boolean isEqualNode(org.w3c.dom.Node arg)

  ? @see org.w3c.dom.Node#isEqualNode(org.w3c.dom.Node)

  Overrides:
    `isEqualNode` in class `NodeImpl`

### getFeature

    public java.lang.Object getFeature(java.lang.String feature,
                                       java.lang.String version)

  ? @see org.w3c.dom.Node#getFeature(java.lang.String, java.lang.String)

  Overrides:
    `getFeature` in class `NodeImpl`

### setUserData

    public java.lang.Object setUserData(java.lang.String key,
                                        java.lang.Object data,
                                        org.w3c.dom.UserDataHandler handler)

  ? @see org.w3c.dom.Node#setUserData(java.lang.String, java.lang.Object, org.w3c.dom.UserDataHandler)

  Overrides:
    `setUserData` in class `NodeImpl`

### getUserData

    public java.lang.Object getUserData(java.lang.String key)

  ? @see org.w3c.dom.Node#getUserData(java.lang.String)

  Overrides:
    `getUserData` in class `NodeImpl`

Copyright (C) Wolfgang Meier. All rights reserved.